// mycomponent/ConnectCustomerService/DConnectCustomerService.js
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    zIndex: {
      type: Number,
      value: 2,
    },
    show: {
      type: Boolean,
      value: false,
    },
    qrcode: {
      type: String,
      value: null,
    },
    online: {
      type: String,
      value: null,
    },
    customer_open: {
      type: String || Number,
      value: null,
    },
    tel: {
      type: String,
      value: null,
    },
  },

  /**
   * 组件的初始数据
   */
  data: {},

  /**
   * 组件的方法列表
   */
  methods: {
    closePopup() {
      this.triggerEvent("closed");
      this.setData({
        show: false,
      });
    },
    phoneCall() {
      if (this.data.tel) {
        wx.makePhoneCall({
          phoneNumber: this.data.tel,
        });
      }
    },
  },
});